<!-- -------------------- ./doc/content/settings-writable_content.html -------------------- -->

<script src="/pub/jsext/jquery_validate_fr.js"></script> 
<section class="settings-content">
  <form novalidate="novalidate" id="upddoc1" method="post" action="<?php echo $this->URL->GetDosMethod('Update'); ?>" >

    <input name="DID" value="<?php echo $this->DOSINFO['did']; ?>" type="hidden">

    <h2>Paramètres du dossier</h2>

    <div class="fr-input-group">
      <label for="DOSNAM" class="fr-label">
        Nom :
        
        <?php if ( ! $this->ACCES_RO ): ?>
          <span class="fr-hint-text">Nom modifiable</span>
        <?php endif; ?>
      </label>
      <input type="text" class="fr-input" value="<?php echo $this->DOSINFO['title']; ?>" name="DOSNAM" id="DOSNAM" <?php if( $this->ACCES_RO) { echo "readonly" ;} ?> >
    </div>

    <div class="fr-input-group">
      <label for="DOSCOM" class="fr-label">Commentaire :
        <span class="fr-hint-text">(facultatif)</span>
      </label>
      <textarea class="fr-input" name="DOSCOM" id="DOSCOM" <?php if( $this->ACCES_RO) { echo "readonly" ;} ?>><?php echo $this->DOSINFO['comment']; ?></textarea>
    </div>

    <div class="fr-input-group">
      <label for="DOSPSW" class="fr-label">Mot de passe :
        <span class="fr-hint-text">(facultatif)</span>
      </label>
      <input type="text" class="fr-input" value="<?php echo $this->DOSINFO['passwd']; ?>" name="DOSPSW" id="DOSPSW">
    </div>

    <div class="fr-input-group">
      <label for="DOSLIM" class="fr-label">Fin de vie :</label>
      <input type="date" class="fr-input" value="<?php echo $this->DOSINFO["endoflife"]; ?>" name="DOSLIM" id="DOSLIM" <?php echo ($this->DATESEL=='no')?"readonly":""; ?> >
    </div>

    <button type="submit" class="fr-btn">Validez les changements</button>
  </form>

  <hr>

  <div class="fr-btns-group fr-btns-group--inline-md fr-btns-group--sm fr-btns-group--icon-left">
    <?php if ( $this->FIGACTION == "fige" ) : ?> 
    <button
      class="fr-btn fr-btn--secondary fr-icon-lock-line"
      data-fr-opened="false"
      aria-controls="freeze-briefcase"
    >
      Figer le dossier
    </button>
    <?php endif; ?>

    <?php if ( $this->FIGACTION == "defige" ) : ?> 
    <button
      class="fr-btn fr-btn--secondary fr-icon-lock-unlock-line"
      data-fr-opened="false"
      aria-controls="unfreeze-briefcase"
    >
      Défiger le dossier
    </button>
    <?php endif; ?>
    
    <button
      class="fr-btn fr-btn--secondary fr-icon-delete-line"
      data-fr-opened="false"
      aria-controls="delete-briefcase"
    >
      Détruire le dossier
    </button>
  </div>

</section>

<!-- ------ form control ----------- -->

<script type="text/javascript">
  $(document).ready(function(){
    $("#upddoc1").validate({
      rules:{
        DOSNAM:{
          required:true
        },
      },
      errorClass: "help-inline"
    });
  });
</script>

<script type="text/javascript">
  $(document).ready(function(){
    $("#figpd1").validate({
      rules:{
        PASSADM:{
          required:true,
          minlength: 3
        },
      },
      errorClass: "help-inline"
    });
  });
</script>
<!-- ------ end form control ----------- -->

<!-- Delete Modal -->
<?php include "modals/delete-briefcase_modal.html" ?>

<!-- -------------------------------------------------------------------- -->

<!-- Fige Modal -->
<?php include "modals/freeze-briefcase_modal.html" ?>

<!-- -------------------------------------------------------------------- -->

<!-- Defige Modal -->
<?php include "modals/unfreeze-briefcase_modal.html" ?>

<!-- -------------------------------------------------------------------- -->
